import { PureComponent } from "react";
import { PropsInterface } from "../../interfaces/interfaces/PropsInterface";
export interface WidgetNumberInterfaceProps extends PropsInterface {
    fluid?: boolean;
    title: string;
    number: number;
    numberLast: number;
    money: string;
    subtitle: string;
    card?: boolean;
}
export declare class WidgetNumber extends PureComponent<WidgetNumberInterfaceProps> {
    constructor(props: any);
    get discount(): string;
    get percentage(): number;
    get discountIcon(): JSX.Element;
    render(): JSX.Element;
}
